#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioListener = 379,
  AudioNode = 393,
  AudioParam = 403,
  AudioParamMap = 414,
  AudioProcessingEvent = 428,
  AudioScheduledSourceNode = 449,
  AudioTrack = 474,
  AudioTrackList = 485,
  AudioWorklet = 500,
  AudioWorkletGlobalScope = 513,
  AudioWorkletNode = 537,
  AudioWorkletProcessor = 554,
  AuthenticatorAssertionResponse = 576,
  AuthenticatorAttestationResponse = 607,
  AuthenticatorResponse = 640,
  BarProp = 662,
  BaseAudioContext = 670,
  BatteryManager = 687,
  BeforeUnloadEvent = 702,
  BiquadFilterNode = 720,
  Blob = 737,
  BlobEvent = 742,
  BroadcastChannel = 752,
  BrowsingContext = 769,
  BrowsingContextGroup = 785,
  ByteLengthQueuingStrategy = 806,
  CDATASection = 832,
  CSS = 845,
  CSS2Properties = 849,
  CSSAnimation = 864,
  CSSConditionRule = 877,
  CSSContainerRule = 894,
  CSSCounterStyleRule = 911,
  CSSCustomPropertyRegisteredEvent = 931,
  CSSFontFaceRule = 964,
  CSSFontFeatureValuesRule = 980,
  CSSFontPaletteValuesRule = 1005,
  CSSGroupingRule = 1030,
  CSSImportRule = 1046,
  CSSKeyframeRule = 1060,
  CSSKeyframesRule = 1076,
  CSSLayerBlockRule = 1093,
  CSSLayerStatementRule = 1111,
  CSSMediaRule = 1133,
  CSSMozDocumentRule = 1146,
  CSSNamespaceRule = 1165,
  CSSPageRule = 1182,
  CSSPropertyRule = 1194,
  CSSPseudoElement = 1210,
  CSSRule = 1227,
  CSSRuleList = 1235,
  CSSStyleDeclaration = 1247,
  CSSStyleRule = 1267,
  CSSStyleSheet = 1280,
  CSSSupportsRule = 1294,
  CSSTransition = 1310,
  Cache = 1324,
  CacheStorage = 1330,
  CallbackDebuggerNotification = 1343,
  CanonicalBrowsingContext = 1372,
  CanvasCaptureMediaStream = 1397,
  CanvasGradient = 1422,
  CanvasPattern = 1437,
  CanvasRenderingContext2D = 1451,
  CaretPosition = 1476,
  CaretStateChangedEvent = 1490,
  ChannelMergerNode = 1513,
  ChannelSplitterNode = 1531,
  ChannelWrapper = 1551,
  CharacterData = 1566,
  CheckerboardReportService = 1580,
  ChildProcessMessageManager = 1606,
  ChildSHistory = 1633,
  ChromeMessageBroadcaster = 1647,
  ChromeMessageSender = 1672,
  ChromeNodeList = 1692,
  ChromeUtils = 1707,
  ChromeWorker = 1719,
  Client = 1732,
  Clients = 1739,
  Clipboard = 1747,
  ClipboardEvent = 1757,
  ClipboardItem = 1772,
  ClonedErrorHolder = 1786,
  CloseEvent = 1804,
  CommandEvent = 1815,
  Comment = 1828,
  CompositionEvent = 1836,
  CompressionStream = 1853,
  ConsoleInstance = 1871,
  ConstantSourceNode = 1887,
  ContentFrameMessageManager = 1906,
  ContentProcessMessageManager = 1933,
  ContentVisibilityAutoStateChangeEvent = 1962,
  ConvolverNode = 2000,
  CountQueuingStrategy = 2014,
  CreateOfferRequest = 2035,
  Credential = 2054,
  CredentialsContainer = 2065,
  Crypto = 2086,
  CryptoKey = 2093,
  CustomElementRegistry = 2103,
  CustomEvent = 2125,
  CustomStateSet = 2137,
  DOMException = 2152,
  DOMImplementation = 2165,
  DOMLocalization = 2183,
  DOMMatrix = 2199,
  DOMMatrixReadOnly = 2209,
  DOMParser = 2227,
  DOMPoint = 2237,
  DOMPointReadOnly = 2246,
  DOMQuad = 2263,
  DOMRect = 2271,
  DOMRectList = 2279,
  DOMRectReadOnly = 2291,
  DOMStringList = 2307,
  DOMStringMap = 2321,
  DOMTokenList = 2334,
  DataTransfer = 2347,
  DataTransferItem = 2360,
  DataTransferItemList = 2377,
  DebuggerNotification = 2398,
  DebuggerNotificationObserver = 2419,
  DecompressionStream = 2448,
  DedicatedWorkerGlobalScope = 2468,
  DelayNode = 2495,
  DeprecationReportBody = 2505,
  DeviceAcceleration = 2527,
  DeviceLightEvent = 2546,
  DeviceMotionEvent = 2563,
  DeviceOrientationEvent = 2581,
  DeviceRotationRate = 2604,
  Directory = 2623,
  Document = 2633,
  DocumentFragment = 2642,
  DocumentL10n = 2659,
  DocumentTimeline = 2672,
  DocumentType = 2689,
  DominatorTree = 2702,
  DragEvent = 2716,
  DynamicsCompressorNode = 2726,
  EXT_blend_minmax = 2749,
  EXT_color_buffer_float = 2766,
  EXT_color_buffer_half_float = 2789,
  EXT_disjoint_timer_query = 2817,
  EXT_float_blend = 2842,
  EXT_frag_depth = 2858,
  EXT_sRGB = 2873,
  EXT_shader_texture_lod = 2882,
  EXT_texture_compression_bptc = 2905,
  EXT_texture_compression_rgtc = 2934,
  EXT_texture_filter_anisotropic = 2963,
  EXT_texture_norm16 = 2994,
  Element = 3013,
  ElementInternals = 3021,
  EncodedAudioChunk = 3038,
  EncodedVideoChunk = 3056,
  ErrorEvent = 3074,
  Event = 3085,
  EventCallbackDebuggerNotification = 3091,
  EventCounts = 3125,
  EventSource = 3137,
  EventTarget = 3149,
  Exception = 3161,
  ExtendableEvent = 3171,
  ExtendableMessageEvent = 3187,
  ExtensionAlarms = 3210,
  ExtensionBrowser = 3226,
  ExtensionBrowserSettings = 3243,
  ExtensionBrowserSettingsColorManagement = 3268,
  ExtensionDns = 3308,
  ExtensionEventManager = 3321,
  ExtensionMockAPI = 3343,
  ExtensionPort = 3360,
  ExtensionProxy = 3374,
  ExtensionRuntime = 3389,
  ExtensionScripting = 3406,
  ExtensionSetting = 3425,
  ExtensionTest = 3442,
  External = 3456,
  FeaturePolicy = 3465,
  FeaturePolicyViolationReportBody = 3479,
  FetchEvent = 3512,
  FetchObserver = 3523,
  File = 3537,
  FileList = 3542,
  FileReader = 3551,
  FileReaderSync = 3562,
  FileSystem = 3577,
  FileSystemDirectoryEntry = 3588,
  FileSystemDirectoryHandle = 3613,
  FileSystemDirectoryHandle_AsyncIterator = 3639,
  FileSystemDirectoryIterator = 3679,
  FileSystemDirectoryReader = 3707,
  FileSystemEntry = 3733,
  FileSystemFileEntry = 3749,
  FileSystemFileHandle = 3769,
  FileSystemHandle = 3790,
  FileSystemSyncAccessHandle = 3807,
  FileSystemWritableFileStream = 3834,
  Flex = 3863,
  FlexItemValues = 3868,
  FlexLineValues = 3883,
  FluentBundle = 3898,
  FluentBundleAsyncIterator = 3911,
  FluentBundleIterator = 3937,
  FluentPattern = 3958,
  FluentResource = 3972,
  FocusEvent = 3987,
  FontFace = 3998,
  FontFaceSet = 4007,
  FontFaceSetIterator = 4019,
  FontFaceSetLoadEvent = 4039,
  FormData = 4060,
  FormData_Iterator = 4069,
  FormDataEvent = 4087,
  FrameCrashedEvent = 4101,
  FrameLoader = 4119,
  GPU = 4131,
  GPUAdapter = 4135,
  GPUAdapterInfo = 4146,
  GPUBindGroup = 4161,
  GPUBindGroupLayout = 4174,
  GPUBuffer = 4193,
  GPUBufferUsage = 4203,
  GPUCanvasContext = 4218,
  GPUColorWrite = 4235,
  GPUCommandBuffer = 4249,
  GPUCommandEncoder = 4266,
  GPUCompilationInfo = 4284,
  GPUCompilationMessage = 4303,
  GPUComputePassEncoder = 4325,
  GPUComputePipeline = 4347,
  GPUDevice = 4366,
  GPUDeviceLostInfo = 4376,
  GPUError = 4394,
  GPUInternalError = 4403,
  GPUMapMode = 4420,
  GPUOutOfMemoryError = 4431,
  GPUPipelineLayout = 4451,
  GPUQuerySet = 4469,
  GPUQueue = 4481,
  GPURenderBundle = 4490,
  GPURenderBundleEncoder = 4506,
  GPURenderPassEncoder = 4529,
  GPURenderPipeline = 4550,
  GPUSampler = 4568,
  GPUShaderModule = 4579,
  GPUShaderStage = 4595,
  GPUSupportedFeatures = 4610,
  GPUSupportedLimits = 4631,
  GPUTexture = 4650,
  GPUTextureUsage = 4661,
  GPUTextureView = 4677,
  GPUUncapturedErrorEvent = 4692,
  GPUValidationError = 4716,
  GainNode = 4735,
  Gamepad = 4744,
  GamepadAxisMoveEvent = 4752,
  GamepadButton = 4773,
  GamepadButtonEvent = 4787,
  GamepadEvent = 4806,
  GamepadHapticActuator = 4819,
  GamepadLightIndicator = 4841,
  GamepadPose = 4863,
  GamepadServiceTest = 4875,
  GamepadTouch = 4894,
  Geolocation = 4907,
  GeolocationCoordinates = 4919,
  GeolocationPosition = 4942,
  GeolocationPositionError = 4962,
  GetUserMediaRequest = 4987,
  GleanBoolean = 5007,
  GleanCategory = 5020,
  GleanCounter = 5034,
  GleanCustomDistribution = 5047,
  GleanDatetime = 5071,
  GleanDenominator = 5085,
  GleanEvent = 5102,
  GleanImpl = 5113,
  GleanLabeled = 5123,
  GleanMemoryDistribution = 5136,
  GleanMetric = 5160,
  GleanNumerator = 5172,
  GleanObject = 5187,
  GleanPingsImpl = 5199,
  GleanQuantity = 5214,
  GleanRate = 5228,
  GleanString = 5238,
  GleanStringList = 5250,
  GleanText = 5266,
  GleanTimespan = 5276,
  GleanTimingDistribution = 5290,
  GleanUrl = 5314,
  GleanUuid = 5323,
  Grid = 5333,
  GridArea = 5338,
  GridDimension = 5347,
  GridLine = 5361,
  GridLines = 5370,
  GridTrack = 5380,
  GridTracks = 5390,
  HTMLAllCollection = 5401,
  HTMLAnchorElement = 5419,
  HTMLAreaElement = 5437,
  HTMLAudioElement = 5453,
  HTMLBRElement = 5470,
  HTMLBaseElement = 5484,
  HTMLBodyElement = 5500,
  HTMLButtonElement = 5516,
  HTMLCanvasElement = 5534,
  HTMLCollection = 5552,
  HTMLDListElement = 5567,
  HTMLDataElement = 5584,
  HTMLDataListElement = 5600,
  HTMLDetailsElement = 5620,
  HTMLDialogElement = 5639,
  HTMLDirectoryElement = 5657,
  HTMLDivElement = 5678,
  HTMLDocument = 5693,
  HTMLElement = 5706,
  HTMLEmbedElement = 5718,
  HTMLFieldSetElement = 5735,
  HTMLFontElement = 5755,
  HTMLFormControlsCollection = 5771,
  HTMLFormElement = 5798,
  HTMLFrameElement = 5814,
  HTMLFrameSetElement = 5831,
  HTMLHRElement = 5851,
  HTMLHeadElement = 5865,
  HTMLHeadingElement = 5881,
  HTMLHtmlElement = 5900,
  HTMLIFrameElement = 5916,
  HTMLImageElement = 5934,
  HTMLInputElement = 5951,
  HTMLLIElement = 5968,
  HTMLLabelElement = 5982,
  HTMLLegendElement = 5999,
  HTMLLinkElement = 6017,
  HTMLMapElement = 6033,
  HTMLMarqueeElement = 6048,
  HTMLMediaElement = 6067,
  HTMLMenuElement = 6084,
  HTMLMetaElement = 6100,
  HTMLMeterElement = 6116,
  HTMLModElement = 6133,
  HTMLOListElement = 6148,
  HTMLObjectElement = 6165,
  HTMLOptGroupElement = 6183,
  HTMLOptionElement = 6203,
  HTMLOptionsCollection = 6221,
  HTMLOutputElement = 6243,
  HTMLParagraphElement = 6261,
  HTMLParamElement = 6282,
  HTMLPictureElement = 6299,
  HTMLPreElement = 6318,
  HTMLProgressElement = 6333,
  HTMLQuoteElement = 6353,
  HTMLScriptElement = 6370,
  HTMLSelectElement = 6388,
  HTMLSlotElement = 6406,
  HTMLSourceElement = 6422,
  HTMLSpanElement = 6440,
  HTMLStyleElement = 6456,
  HTMLTableCaptionElement = 6473,
  HTMLTableCellElement = 6497,
  HTMLTableColElement = 6518,
  HTMLTableElement = 6538,
  HTMLTableRowElement = 6555,
  HTMLTableSectionElement = 6575,
  HTMLTemplateElement = 6599,
  HTMLTextAreaElement = 6619,
  HTMLTimeElement = 6639,
  HTMLTitleElement = 6655,
  HTMLTrackElement = 6672,
  HTMLUListElement = 6689,
  HTMLUnknownElement = 6706,
  HTMLVideoElement = 6725,
  HashChangeEvent = 6742,
  Headers = 6758,
  Headers_Iterator = 6766,
  HeapSnapshot = 6783,
  Highlight = 6796,
  HighlightRegistry = 6806,
  History = 6824,
  IDBCursor = 6832,
  IDBCursorWithValue = 6842,
  IDBDatabase = 6861,
  IDBFactory = 6873,
  IDBIndex = 6884,
  IDBKeyRange = 6893,
  IDBObjectStore = 6905,
  IDBOpenDBRequest = 6920,
  IDBRequest = 6937,
  IDBTransaction = 6948,
  IDBVersionChangeEvent = 6963,
  IIRFilterNode = 6985,
  IOUtils = 6999,
  IdentityCredential = 7007,
  IdleDeadline = 7026,
  Image = 7039,
  ImageBitmap = 7045,
  ImageBitmapRenderingContext = 7057,
  ImageCapture = 7085,
  ImageCaptureError = 7098,
  ImageCaptureErrorEvent = 7116,
  ImageData = 7139,
  ImageDocument = 7149,
  InputEvent = 7163,
  InspectorFontFace = 7174,
  InspectorUtils = 7192,
  InstallTriggerImpl = 7207,
  IntersectionObserver = 7226,
  IntersectionObserverEntry = 7247,
  IntlUtils = 7273,
  InvokeEvent = 7283,
  JSProcessActorChild = 7295,
  JSProcessActorParent = 7315,
  JSWindowActorChild = 7336,
  JSWindowActorParent = 7355,
  KeyEvent = 7375,
  KeyboardEvent = 7384,
  KeyframeEffect = 7398,
  L10nFileSource = 7413,
  L10nOverlays = 7428,
  L10nRegistry = 7441,
  LargestContentfulPaint = 7454,
  LegacyMozTCPSocket = 7477,
  Localization = 7496,
  Location = 7509,
  Lock = 7518,
  LockManager = 7523,
  MIDIAccess = 7535,
  MIDIConnectionEvent = 7546,
  MIDIInput = 7566,
  MIDIInputMap = 7576,
  MIDIMessageEvent = 7589,
  MIDIOutput = 7606,
  MIDIOutputMap = 7617,
  MIDIPort = 7631,
  MOZ_debug = 7640,
  MatchGlob = 7650,
  MatchPattern = 7660,
  MatchPatternSet = 7673,
  MathMLElement = 7689,
  MediaCapabilities = 7703,
  MediaCapabilitiesInfo = 7721,
  MediaControlService = 7743,
  MediaController = 7763,
  MediaDeviceInfo = 7779,
  MediaDevices = 7795,
  MediaElementAudioSourceNode = 7808,
  MediaEncryptedEvent = 7836,
  MediaError = 7856,
  MediaKeyError = 7867,
  MediaKeyMessageEvent = 7881,
  MediaKeySession = 7902,
  MediaKeyStatusMap = 7918,
  MediaKeyStatusMap_Iterator = 7936,
  MediaKeySystemAccess = 7963,
  MediaKeys = 7984,
  MediaList = 7994,
  MediaMetadata = 8004,
  MediaQueryList = 8018,
  MediaQueryListEvent = 8033,
  MediaRecorder = 8053,
  MediaRecorderErrorEvent = 8067,
  MediaSession = 8091,
  MediaSource = 8104,
  MediaStream = 8116,
  MediaStreamAudioDestinationNode = 8128,
  MediaStreamAudioSourceNode = 8160,
  MediaStreamError = 8187,
  MediaStreamEvent = 8204,
  MediaStreamTrack = 8221,
  MediaStreamTrackAudioSourceNode = 8238,
  MediaStreamTrackEvent = 8270,
  MerchantValidationEvent = 8292,
  MessageBroadcaster = 8316,
  MessageChannel = 8335,
  MessageEvent = 8350,
  MessageListenerManager = 8363,
  MessagePort = 8386,
  MessageSender = 8398,
  MimeType = 8412,
  MimeTypeArray = 8421,
  MouseEvent = 8435,
  MouseScrollEvent = 8446,
  MozCanvasPrintState = 8463,
  MozDocumentMatcher = 8483,
  MozDocumentObserver = 8502,
  MozQueryInterface = 8522,
  MozSharedMap = 8540,
  MozSharedMap_Iterator = 8553,
  MozSharedMapChangeEvent = 8575,
  MozStorageAsyncStatementParams = 8599,
  MozStorageStatementParams = 8630,
  MozStorageStatementRow = 8656,
  MozWritableSharedMap = 8679,
  MutationEvent = 8700,
  MutationObserver = 8714,
  MutationRecord = 8731,
  NamedNodeMap = 8746,
  NavigationPreloadManager = 8759,
  Navigator = 8784,
  NetworkInformation = 8794,
  Node = 8813,
  NodeFilter = 8818,
  NodeIterator = 8829,
  NodeList = 8842,
  Notification = 8851,
  NotificationEvent = 8864,
  NotifyPaintEvent = 8882,
  OES_draw_buffers_indexed = 8899,
  OES_element_index_uint = 8924,
  OES_fbo_render_mipmap = 8947,
  OES_standard_derivatives = 8969,
  OES_texture_float = 8994,
  OES_texture_float_linear = 9012,
  OES_texture_half_float = 9037,
  OES_texture_half_float_linear = 9060,
  OES_vertex_array_object = 9090,
  OVR_multiview2 = 9114,
  OfflineAudioCompletionEvent = 9129,
  OfflineAudioContext = 9157,
  OffscreenCanvas = 9177,
  OffscreenCanvasRenderingContext2D = 9193,
  Option = 9227,
  OscillatorNode = 9234,
  PageTransitionEvent = 9249,
  PaintRequest = 9269,
  PaintRequestList = 9282,
  PaintWorkletGlobalScope = 9299,
  PannerNode = 9323,
  ParentProcessMessageManager = 9334,
  Path2D = 9362,
  PathUtils = 9369,
  PaymentAddress = 9379,
  PaymentMethodChangeEvent = 9394,
  PaymentRequest = 9419,
  PaymentRequestUpdateEvent = 9434,
  PaymentResponse = 9460,
  Performance = 9476,
  PerformanceEntry = 9488,
  PerformanceEntryEvent = 9505,
  PerformanceEventTiming = 9527,
  PerformanceMark = 9550,
  PerformanceMeasure = 9566,
  PerformanceNavigation = 9585,
  PerformanceNavigationTiming = 9607,
  PerformanceObserver = 9635,
  PerformanceObserverEntryList = 9655,
  PerformancePaintTiming = 9684,
  PerformanceResourceTiming = 9707,
  PerformanceServerTiming = 9733,
  PerformanceTiming = 9757,
  PeriodicWave = 9775,
  PermissionStatus = 9788,
  Permissions = 9805,
  PlacesBookmark = 9817,
  PlacesBookmarkAddition = 9832,
  PlacesBookmarkChanged = 9855,
  PlacesBookmarkGuid = 9877,
  PlacesBookmarkKeyword = 9896,
  PlacesBookmarkMoved = 9918,
  PlacesBookmarkRemoved = 9938,
  PlacesBookmarkTags = 9960,
  PlacesBookmarkTime = 9979,
  PlacesBookmarkTitle = 9998,
  PlacesBookmarkUrl = 10018,
  PlacesEvent = 10036,
  PlacesFavicon = 10048,
  PlacesHistoryCleared = 10062,
  PlacesObservers = 10083,
  PlacesPurgeCaches = 10099,
  PlacesRanking = 10117,
  PlacesVisit = 10131,
  PlacesVisitRemoved = 10143,
  PlacesVisitTitle = 10162,
  PlacesWeakCallbackWrapper = 10179,
  Plugin = 10205,
  PluginArray = 10212,
  PluginCrashedEvent = 10224,
  PointerEvent = 10243,
  PopStateEvent = 10256,
  PopupBlockedEvent = 10270,
  PopupPositionedEvent = 10288,
  PositionStateEvent = 10309,
  PrecompiledScript = 10328,
  ProcessMessageManager = 10346,
  ProcessingInstruction = 10368,
  ProgressEvent = 10390,
  PromiseDebugging = 10404,
  PromiseNativeHandler = 10421,
  PromiseRejectionEvent = 10442,
  PublicKeyCredential = 10464,
  PushEvent = 10484,
  PushManager = 10494,
  PushManagerImpl = 10506,
  PushMessageData = 10522,
  PushSubscription = 10538,
  PushSubscriptionOptions = 10555,
  RadioNodeList = 10579,
  Range = 10593,
  ReadableByteStreamController = 10599,
  ReadableStream = 10628,
  ReadableStream_AsyncIterator = 10643,
  ReadableStreamBYOBReader = 10672,
  ReadableStreamBYOBRequest = 10697,
  ReadableStreamDefaultController = 10723,
  ReadableStreamDefaultReader = 10755,
  Report = 10783,
  ReportBody = 10790,
  ReportingObserver = 10801,
  Request = 10819,
  ResizeObserver = 10827,
  ResizeObserverEntry = 10842,
  ResizeObserverSize = 10862,
  Response = 10881,
  SVGAElement = 10890,
  SVGAngle = 10902,
  SVGAnimateElement = 10911,
  SVGAnimateMotionElement = 10929,
  SVGAnimateTransformElement = 10953,
  SVGAnimatedAngle = 10980,
  SVGAnimatedBoolean = 10997,
  SVGAnimatedEnumeration = 11016,
  SVGAnimatedInteger = 11039,
  SVGAnimatedLength = 11058,
  SVGAnimatedLengthList = 11076,
  SVGAnimatedNumber = 11098,
  SVGAnimatedNumberList = 11116,
  SVGAnimatedPreserveAspectRatio = 11138,
  SVGAnimatedRect = 11169,
  SVGAnimatedString = 11185,
  SVGAnimatedTransformList = 11203,
  SVGAnimationElement = 11228,
  SVGCircleElement = 11248,
  SVGClipPathElement = 11265,
  SVGComponentTransferFunctionElement = 11284,
  SVGDefsElement = 11320,
  SVGDescElement = 11335,
  SVGElement = 11350,
  SVGEllipseElement = 11361,
  SVGFEBlendElement = 11379,
  SVGFEColorMatrixElement = 11397,
  SVGFEComponentTransferElement = 11421,
  SVGFECompositeElement = 11451,
  SVGFEConvolveMatrixElement = 11473,
  SVGFEDiffuseLightingElement = 11500,
  SVGFEDisplacementMapElement = 11528,
  SVGFEDistantLightElement = 11556,
  SVGFEDropShadowElement = 11581,
  SVGFEFloodElement = 11604,
  SVGFEFuncAElement = 11622,
  SVGFEFuncBElement = 11640,
  SVGFEFuncGElement = 11658,
  SVGFEFuncRElement = 11676,
  SVGFEGaussianBlurElement = 11694,
  SVGFEImageElement = 11719,
  SVGFEMergeElement = 11737,
  SVGFEMergeNodeElement = 11755,
  SVGFEMorphologyElement = 11777,
  SVGFEOffsetElement = 11800,
  SVGFEPointLightElement = 11819,
  SVGFESpecularLightingElement = 11842,
  SVGFESpotLightElement = 11871,
  SVGFETileElement = 11893,
  SVGFETurbulenceElement = 11910,
  SVGFilterElement = 11933,
  SVGForeignObjectElement = 11950,
  SVGGElement = 11974,
  SVGGeometryElement = 11986,
  SVGGradientElement = 12005,
  SVGGraphicsElement = 12024,
  SVGImageElement = 12043,
  SVGLength = 12059,
  SVGLengthList = 12069,
  SVGLineElement = 12083,
  SVGLinearGradientElement = 12098,
  SVGMPathElement = 12123,
  SVGMarkerElement = 12139,
  SVGMaskElement = 12156,
  SVGMatrix = 12171,
  SVGMetadataElement = 12181,
  SVGNumber = 12200,
  SVGNumberList = 12210,
  SVGPathElement = 12224,
  SVGPathSeg = 12239,
  SVGPathSegArcAbs = 12250,
  SVGPathSegArcRel = 12267,
  SVGPathSegClosePath = 12284,
  SVGPathSegCurvetoCubicAbs = 12304,
  SVGPathSegCurvetoCubicRel = 12330,
  SVGPathSegCurvetoCubicSmoothAbs = 12356,
  SVGPathSegCurvetoCubicSmoothRel = 12388,
  SVGPathSegCurvetoQuadraticAbs = 12420,
  SVGPathSegCurvetoQuadraticRel = 12450,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12480,
  SVGPathSegCurvetoQuadraticSmoothRel = 12516,
  SVGPathSegLinetoAbs = 12552,
  SVGPathSegLinetoHorizontalAbs = 12572,
  SVGPathSegLinetoHorizontalRel = 12602,
  SVGPathSegLinetoRel = 12632,
  SVGPathSegLinetoVerticalAbs = 12652,
  SVGPathSegLinetoVerticalRel = 12680,
  SVGPathSegList = 12708,
  SVGPathSegMovetoAbs = 12723,
  SVGPathSegMovetoRel = 12743,
  SVGPatternElement = 12763,
  SVGPoint = 12781,
  SVGPointList = 12790,
  SVGPolygonElement = 12803,
  SVGPolylineElement = 12821,
  SVGPreserveAspectRatio = 12840,
  SVGRadialGradientElement = 12863,
  SVGRect = 12888,
  SVGRectElement = 12896,
  SVGSVGElement = 12911,
  SVGScriptElement = 12925,
  SVGSetElement = 12942,
  SVGStopElement = 12956,
  SVGStringList = 12971,
  SVGStyleElement = 12985,
  SVGSwitchElement = 13001,
  SVGSymbolElement = 13018,
  SVGTSpanElement = 13035,
  SVGTextContentElement = 13051,
  SVGTextElement = 13073,
  SVGTextPathElement = 13088,
  SVGTextPositioningElement = 13107,
  SVGTitleElement = 13133,
  SVGTransform = 13149,
  SVGTransformList = 13162,
  SVGUnitTypes = 13179,
  SVGUseElement = 13192,
  SVGViewElement = 13206,
  Sanitizer = 13221,
  Scheduler = 13231,
  Screen = 13241,
  ScreenLuminance = 13248,
  ScreenOrientation = 13264,
  ScriptProcessorNode = 13282,
  ScrollAreaEvent = 13302,
  ScrollViewChangeEvent = 13318,
  SecurityPolicyViolationEvent = 13340,
  Selection = 13369,
  ServiceWorker = 13379,
  ServiceWorkerContainer = 13393,
  ServiceWorkerGlobalScope = 13416,
  ServiceWorkerRegistration = 13441,
  SessionStoreFormData = 13467,
  SessionStoreScrollData = 13488,
  SessionStoreUtils = 13511,
  ShadowRealmGlobalScope = 13529,
  ShadowRoot = 13552,
  SharedWorker = 13563,
  SharedWorkerGlobalScope = 13576,
  SimpleGestureEvent = 13600,
  SourceBuffer = 13619,
  SourceBufferList = 13632,
  SpeechGrammar = 13649,
  SpeechGrammarList = 13663,
  SpeechRecognition = 13681,
  SpeechRecognitionAlternative = 13699,
  SpeechRecognitionError = 13728,
  SpeechRecognitionEvent = 13751,
  SpeechRecognitionResult = 13774,
  SpeechRecognitionResultList = 13798,
  SpeechSynthesis = 13826,
  SpeechSynthesisErrorEvent = 13842,
  SpeechSynthesisEvent = 13868,
  SpeechSynthesisUtterance = 13889,
  SpeechSynthesisVoice = 13914,
  StaticRange = 13935,
  StereoPannerNode = 13947,
  Storage = 13964,
  StorageEvent = 13972,
  StorageManager = 13985,
  StreamFilter = 14000,
  StreamFilterDataEvent = 14013,
  StructuredCloneHolder = 14035,
  StructuredCloneTester = 14057,
  StyleSheet = 14079,
  StyleSheetApplicableStateChangeEvent = 14090,
  StyleSheetList = 14127,
  StyleSheetRemovedEvent = 14142,
  SubmitEvent = 14165,
  SubtleCrypto = 14177,
  SyncMessageSender = 14190,
  SyncReadFile = 14208,
  TCPServerSocket = 14221,
  TCPServerSocketEvent = 14237,
  TCPSocket = 14258,
  TCPSocketErrorEvent = 14268,
  TCPSocketEvent = 14288,
  TaskController = 14303,
  TaskPriorityChangeEvent = 14318,
  TaskSignal = 14342,
  TelemetryStopwatch = 14353,
  TestUtils = 14372,
  TestingDeprecatedInterface = 14382,
  Text = 14409,
  TextClause = 14414,
  TextDecoder = 14425,
  TextDecoderStream = 14437,
  TextEncoder = 14455,
  TextEncoderStream = 14467,
  TextMetrics = 14485,
  TextTrack = 14497,
  TextTrackCue = 14507,
  TextTrackCueList = 14520,
  TextTrackList = 14537,
  TimeEvent = 14551,
  TimeRanges = 14561,
  ToggleEvent = 14572,
  Touch = 14584,
  TouchEvent = 14590,
  TouchList = 14601,
  TrackEvent = 14611,
  TransformStream = 14622,
  TransformStreamDefaultController = 14638,
  TransitionEvent = 14671,
  TreeColumn = 14687,
  TreeColumns = 14698,
  TreeContentView = 14710,
  TreeWalker = 14726,
  TrustedHTML = 14737,
  TrustedScript = 14749,
  TrustedScriptURL = 14763,
  TrustedTypePolicy = 14780,
  TrustedTypePolicyFactory = 14798,
  UDPMessageEvent = 14823,
  UDPSocket = 14839,
  UIEvent = 14849,
  URL = 14857,
  URLSearchParams = 14861,
  URLSearchParams_Iterator = 14877,
  UniFFIPointer = 14902,
  UniFFIScaffolding = 14916,
  UserActivation = 14934,
  UserInteraction = 14949,
  UserProximityEvent = 14965,
  VRDisplay = 14984,
  VRDisplayCapabilities = 14994,
  VRDisplayEvent = 15016,
  VREyeParameters = 15031,
  VRFieldOfView = 15047,
  VRFrameData = 15061,
  VRMockController = 15073,
  VRMockDisplay = 15090,
  VRPose = 15104,
  VRServiceTest = 15111,
  VRStageParameters = 15125,
  VTTCue = 15143,
  VTTRegion = 15150,
  ValidityState = 15160,
  VideoColorSpace = 15174,
  VideoDecoder = 15190,
  VideoEncoder = 15203,
  VideoFrame = 15216,
  VideoPlaybackQuality = 15227,
  VideoTrack = 15248,
  VideoTrackList = 15259,
  VisualViewport = 15274,
  WEBGL_color_buffer_float = 15289,
  WEBGL_compressed_texture_astc = 15314,
  WEBGL_compressed_texture_etc = 15344,
  WEBGL_compressed_texture_etc1 = 15373,
  WEBGL_compressed_texture_pvrtc = 15403,
  WEBGL_compressed_texture_s3tc = 15434,
  WEBGL_compressed_texture_s3tc_srgb = 15464,
  WEBGL_debug_renderer_info = 15499,
  WEBGL_debug_shaders = 15525,
  WEBGL_depth_texture = 15545,
  WEBGL_draw_buffers = 15565,
  WEBGL_explicit_present = 15584,
  WEBGL_lose_context = 15607,
  WEBGL_provoking_vertex = 15626,
  WakeLock = 15649,
  WakeLockSentinel = 15658,
  WaveShaperNode = 15675,
  WebExtensionContentScript = 15690,
  WebExtensionPolicy = 15716,
  WebGL2RenderingContext = 15735,
  WebGLActiveInfo = 15758,
  WebGLBuffer = 15774,
  WebGLContextEvent = 15786,
  WebGLFramebuffer = 15804,
  WebGLProgram = 15821,
  WebGLQuery = 15834,
  WebGLRenderbuffer = 15845,
  WebGLRenderingContext = 15863,
  WebGLSampler = 15885,
  WebGLShader = 15898,
  WebGLShaderPrecisionFormat = 15910,
  WebGLSync = 15937,
  WebGLTexture = 15947,
  WebGLTransformFeedback = 15960,
  WebGLUniformLocation = 15983,
  WebGLVertexArrayObject = 16004,
  WebKitCSSMatrix = 16027,
  WebSocket = 16043,
  WebTransport = 16053,
  WebTransportBidirectionalStream = 16066,
  WebTransportDatagramDuplexStream = 16098,
  WebTransportError = 16131,
  WebTransportReceiveStream = 16149,
  WebTransportSendStream = 16175,
  WheelEvent = 16198,
  Window = 16209,
  WindowClient = 16216,
  WindowContext = 16229,
  WindowGlobalChild = 16243,
  WindowGlobalParent = 16261,
  WindowRoot = 16280,
  Worker = 16291,
  WorkerDebuggerGlobalScope = 16298,
  WorkerGlobalScope = 16324,
  WorkerLocation = 16342,
  WorkerNavigator = 16357,
  WorkerTestUtils = 16373,
  Worklet = 16389,
  WorkletGlobalScope = 16397,
  WritableStream = 16416,
  WritableStreamDefaultController = 16431,
  WritableStreamDefaultWriter = 16463,
  XMLDocument = 16491,
  XMLHttpRequest = 16503,
  XMLHttpRequestEventTarget = 16518,
  XMLHttpRequestUpload = 16544,
  XMLSerializer = 16565,
  XPathEvaluator = 16579,
  XPathExpression = 16594,
  XPathResult = 16610,
  XRBoundedReferenceSpace = 16622,
  XRFrame = 16646,
  XRInputSource = 16654,
  XRInputSourceArray = 16668,
  XRInputSourceEvent = 16687,
  XRInputSourcesChangeEvent = 16706,
  XRPose = 16732,
  XRReferenceSpace = 16739,
  XRReferenceSpaceEvent = 16756,
  XRRenderState = 16778,
  XRRigidTransform = 16792,
  XRSession = 16809,
  XRSessionEvent = 16819,
  XRSpace = 16834,
  XRSystem = 16842,
  XRView = 16851,
  XRViewerPose = 16858,
  XRViewport = 16871,
  XRWebGLLayer = 16882,
  XSLTProcessor = 16895,
  XULCommandEvent = 16909,
  XULElement = 16925,
  XULFrameElement = 16936,
  XULMenuElement = 16952,
  XULPopupElement = 16967,
  XULResizerElement = 16983,
  XULTextElement = 17001,
  XULTreeElement = 17016,
  console = 17031,
  webkitSpeechGrammar = 17039,
  webkitSpeechGrammarList = 17059,
  webkitSpeechRecognition = 17083,
  webkitURL = 17107,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
