#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioListener" "\0"
  /*   393 */ "AudioNode" "\0"
  /*   403 */ "AudioParam" "\0"
  /*   414 */ "AudioParamMap" "\0"
  /*   428 */ "AudioProcessingEvent" "\0"
  /*   449 */ "AudioScheduledSourceNode" "\0"
  /*   474 */ "AudioTrack" "\0"
  /*   485 */ "AudioTrackList" "\0"
  /*   500 */ "AudioWorklet" "\0"
  /*   513 */ "AudioWorkletGlobalScope" "\0"
  /*   537 */ "AudioWorkletNode" "\0"
  /*   554 */ "AudioWorkletProcessor" "\0"
  /*   576 */ "AuthenticatorAssertionResponse" "\0"
  /*   607 */ "AuthenticatorAttestationResponse" "\0"
  /*   640 */ "AuthenticatorResponse" "\0"
  /*   662 */ "BarProp" "\0"
  /*   670 */ "BaseAudioContext" "\0"
  /*   687 */ "BatteryManager" "\0"
  /*   702 */ "BeforeUnloadEvent" "\0"
  /*   720 */ "BiquadFilterNode" "\0"
  /*   737 */ "Blob" "\0"
  /*   742 */ "BlobEvent" "\0"
  /*   752 */ "BroadcastChannel" "\0"
  /*   769 */ "BrowsingContext" "\0"
  /*   785 */ "BrowsingContextGroup" "\0"
  /*   806 */ "ByteLengthQueuingStrategy" "\0"
  /*   832 */ "CDATASection" "\0"
  /*   845 */ "CSS" "\0"
  /*   849 */ "CSS2Properties" "\0"
  /*   864 */ "CSSAnimation" "\0"
  /*   877 */ "CSSConditionRule" "\0"
  /*   894 */ "CSSContainerRule" "\0"
  /*   911 */ "CSSCounterStyleRule" "\0"
  /*   931 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*   964 */ "CSSFontFaceRule" "\0"
  /*   980 */ "CSSFontFeatureValuesRule" "\0"
  /*  1005 */ "CSSFontPaletteValuesRule" "\0"
  /*  1030 */ "CSSGroupingRule" "\0"
  /*  1046 */ "CSSImportRule" "\0"
  /*  1060 */ "CSSKeyframeRule" "\0"
  /*  1076 */ "CSSKeyframesRule" "\0"
  /*  1093 */ "CSSLayerBlockRule" "\0"
  /*  1111 */ "CSSLayerStatementRule" "\0"
  /*  1133 */ "CSSMediaRule" "\0"
  /*  1146 */ "CSSMozDocumentRule" "\0"
  /*  1165 */ "CSSNamespaceRule" "\0"
  /*  1182 */ "CSSPageRule" "\0"
  /*  1194 */ "CSSPropertyRule" "\0"
  /*  1210 */ "CSSPseudoElement" "\0"
  /*  1227 */ "CSSRule" "\0"
  /*  1235 */ "CSSRuleList" "\0"
  /*  1247 */ "CSSStyleDeclaration" "\0"
  /*  1267 */ "CSSStyleRule" "\0"
  /*  1280 */ "CSSStyleSheet" "\0"
  /*  1294 */ "CSSSupportsRule" "\0"
  /*  1310 */ "CSSTransition" "\0"
  /*  1324 */ "Cache" "\0"
  /*  1330 */ "CacheStorage" "\0"
  /*  1343 */ "CallbackDebuggerNotification" "\0"
  /*  1372 */ "CanonicalBrowsingContext" "\0"
  /*  1397 */ "CanvasCaptureMediaStream" "\0"
  /*  1422 */ "CanvasGradient" "\0"
  /*  1437 */ "CanvasPattern" "\0"
  /*  1451 */ "CanvasRenderingContext2D" "\0"
  /*  1476 */ "CaretPosition" "\0"
  /*  1490 */ "CaretStateChangedEvent" "\0"
  /*  1513 */ "ChannelMergerNode" "\0"
  /*  1531 */ "ChannelSplitterNode" "\0"
  /*  1551 */ "ChannelWrapper" "\0"
  /*  1566 */ "CharacterData" "\0"
  /*  1580 */ "CheckerboardReportService" "\0"
  /*  1606 */ "ChildProcessMessageManager" "\0"
  /*  1633 */ "ChildSHistory" "\0"
  /*  1647 */ "ChromeMessageBroadcaster" "\0"
  /*  1672 */ "ChromeMessageSender" "\0"
  /*  1692 */ "ChromeNodeList" "\0"
  /*  1707 */ "ChromeUtils" "\0"
  /*  1719 */ "ChromeWorker" "\0"
  /*  1732 */ "Client" "\0"
  /*  1739 */ "Clients" "\0"
  /*  1747 */ "Clipboard" "\0"
  /*  1757 */ "ClipboardEvent" "\0"
  /*  1772 */ "ClipboardItem" "\0"
  /*  1786 */ "ClonedErrorHolder" "\0"
  /*  1804 */ "CloseEvent" "\0"
  /*  1815 */ "CommandEvent" "\0"
  /*  1828 */ "Comment" "\0"
  /*  1836 */ "CompositionEvent" "\0"
  /*  1853 */ "CompressionStream" "\0"
  /*  1871 */ "ConsoleInstance" "\0"
  /*  1887 */ "ConstantSourceNode" "\0"
  /*  1906 */ "ContentFrameMessageManager" "\0"
  /*  1933 */ "ContentProcessMessageManager" "\0"
  /*  1962 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2000 */ "ConvolverNode" "\0"
  /*  2014 */ "CountQueuingStrategy" "\0"
  /*  2035 */ "CreateOfferRequest" "\0"
  /*  2054 */ "Credential" "\0"
  /*  2065 */ "CredentialsContainer" "\0"
  /*  2086 */ "Crypto" "\0"
  /*  2093 */ "CryptoKey" "\0"
  /*  2103 */ "CustomElementRegistry" "\0"
  /*  2125 */ "CustomEvent" "\0"
  /*  2137 */ "CustomStateSet" "\0"
  /*  2152 */ "DOMException" "\0"
  /*  2165 */ "DOMImplementation" "\0"
  /*  2183 */ "DOMLocalization" "\0"
  /*  2199 */ "DOMMatrix" "\0"
  /*  2209 */ "DOMMatrixReadOnly" "\0"
  /*  2227 */ "DOMParser" "\0"
  /*  2237 */ "DOMPoint" "\0"
  /*  2246 */ "DOMPointReadOnly" "\0"
  /*  2263 */ "DOMQuad" "\0"
  /*  2271 */ "DOMRect" "\0"
  /*  2279 */ "DOMRectList" "\0"
  /*  2291 */ "DOMRectReadOnly" "\0"
  /*  2307 */ "DOMStringList" "\0"
  /*  2321 */ "DOMStringMap" "\0"
  /*  2334 */ "DOMTokenList" "\0"
  /*  2347 */ "DataTransfer" "\0"
  /*  2360 */ "DataTransferItem" "\0"
  /*  2377 */ "DataTransferItemList" "\0"
  /*  2398 */ "DebuggerNotification" "\0"
  /*  2419 */ "DebuggerNotificationObserver" "\0"
  /*  2448 */ "DecompressionStream" "\0"
  /*  2468 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2495 */ "DelayNode" "\0"
  /*  2505 */ "DeprecationReportBody" "\0"
  /*  2527 */ "DeviceAcceleration" "\0"
  /*  2546 */ "DeviceLightEvent" "\0"
  /*  2563 */ "DeviceMotionEvent" "\0"
  /*  2581 */ "DeviceOrientationEvent" "\0"
  /*  2604 */ "DeviceRotationRate" "\0"
  /*  2623 */ "Directory" "\0"
  /*  2633 */ "Document" "\0"
  /*  2642 */ "DocumentFragment" "\0"
  /*  2659 */ "DocumentL10n" "\0"
  /*  2672 */ "DocumentTimeline" "\0"
  /*  2689 */ "DocumentType" "\0"
  /*  2702 */ "DominatorTree" "\0"
  /*  2716 */ "DragEvent" "\0"
  /*  2726 */ "DynamicsCompressorNode" "\0"
  /*  2749 */ "EXT_blend_minmax" "\0"
  /*  2766 */ "EXT_color_buffer_float" "\0"
  /*  2789 */ "EXT_color_buffer_half_float" "\0"
  /*  2817 */ "EXT_disjoint_timer_query" "\0"
  /*  2842 */ "EXT_float_blend" "\0"
  /*  2858 */ "EXT_frag_depth" "\0"
  /*  2873 */ "EXT_sRGB" "\0"
  /*  2882 */ "EXT_shader_texture_lod" "\0"
  /*  2905 */ "EXT_texture_compression_bptc" "\0"
  /*  2934 */ "EXT_texture_compression_rgtc" "\0"
  /*  2963 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2994 */ "EXT_texture_norm16" "\0"
  /*  3013 */ "Element" "\0"
  /*  3021 */ "ElementInternals" "\0"
  /*  3038 */ "EncodedAudioChunk" "\0"
  /*  3056 */ "EncodedVideoChunk" "\0"
  /*  3074 */ "ErrorEvent" "\0"
  /*  3085 */ "Event" "\0"
  /*  3091 */ "EventCallbackDebuggerNotification" "\0"
  /*  3125 */ "EventCounts" "\0"
  /*  3137 */ "EventSource" "\0"
  /*  3149 */ "EventTarget" "\0"
  /*  3161 */ "Exception" "\0"
  /*  3171 */ "ExtendableEvent" "\0"
  /*  3187 */ "ExtendableMessageEvent" "\0"
  /*  3210 */ "ExtensionAlarms" "\0"
  /*  3226 */ "ExtensionBrowser" "\0"
  /*  3243 */ "ExtensionBrowserSettings" "\0"
  /*  3268 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3308 */ "ExtensionDns" "\0"
  /*  3321 */ "ExtensionEventManager" "\0"
  /*  3343 */ "ExtensionMockAPI" "\0"
  /*  3360 */ "ExtensionPort" "\0"
  /*  3374 */ "ExtensionProxy" "\0"
  /*  3389 */ "ExtensionRuntime" "\0"
  /*  3406 */ "ExtensionScripting" "\0"
  /*  3425 */ "ExtensionSetting" "\0"
  /*  3442 */ "ExtensionTest" "\0"
  /*  3456 */ "External" "\0"
  /*  3465 */ "FeaturePolicy" "\0"
  /*  3479 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3512 */ "FetchEvent" "\0"
  /*  3523 */ "FetchObserver" "\0"
  /*  3537 */ "File" "\0"
  /*  3542 */ "FileList" "\0"
  /*  3551 */ "FileReader" "\0"
  /*  3562 */ "FileReaderSync" "\0"
  /*  3577 */ "FileSystem" "\0"
  /*  3588 */ "FileSystemDirectoryEntry" "\0"
  /*  3613 */ "FileSystemDirectoryHandle" "\0"
  /*  3639 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3679 */ "FileSystemDirectoryIterator" "\0"
  /*  3707 */ "FileSystemDirectoryReader" "\0"
  /*  3733 */ "FileSystemEntry" "\0"
  /*  3749 */ "FileSystemFileEntry" "\0"
  /*  3769 */ "FileSystemFileHandle" "\0"
  /*  3790 */ "FileSystemHandle" "\0"
  /*  3807 */ "FileSystemSyncAccessHandle" "\0"
  /*  3834 */ "FileSystemWritableFileStream" "\0"
  /*  3863 */ "Flex" "\0"
  /*  3868 */ "FlexItemValues" "\0"
  /*  3883 */ "FlexLineValues" "\0"
  /*  3898 */ "FluentBundle" "\0"
  /*  3911 */ "FluentBundleAsyncIterator" "\0"
  /*  3937 */ "FluentBundleIterator" "\0"
  /*  3958 */ "FluentPattern" "\0"
  /*  3972 */ "FluentResource" "\0"
  /*  3987 */ "FocusEvent" "\0"
  /*  3998 */ "FontFace" "\0"
  /*  4007 */ "FontFaceSet" "\0"
  /*  4019 */ "FontFaceSetIterator" "\0"
  /*  4039 */ "FontFaceSetLoadEvent" "\0"
  /*  4060 */ "FormData" "\0"
  /*  4069 */ "FormData Iterator" "\0"
  /*  4087 */ "FormDataEvent" "\0"
  /*  4101 */ "FrameCrashedEvent" "\0"
  /*  4119 */ "FrameLoader" "\0"
  /*  4131 */ "GPU" "\0"
  /*  4135 */ "GPUAdapter" "\0"
  /*  4146 */ "GPUAdapterInfo" "\0"
  /*  4161 */ "GPUBindGroup" "\0"
  /*  4174 */ "GPUBindGroupLayout" "\0"
  /*  4193 */ "GPUBuffer" "\0"
  /*  4203 */ "GPUBufferUsage" "\0"
  /*  4218 */ "GPUCanvasContext" "\0"
  /*  4235 */ "GPUColorWrite" "\0"
  /*  4249 */ "GPUCommandBuffer" "\0"
  /*  4266 */ "GPUCommandEncoder" "\0"
  /*  4284 */ "GPUCompilationInfo" "\0"
  /*  4303 */ "GPUCompilationMessage" "\0"
  /*  4325 */ "GPUComputePassEncoder" "\0"
  /*  4347 */ "GPUComputePipeline" "\0"
  /*  4366 */ "GPUDevice" "\0"
  /*  4376 */ "GPUDeviceLostInfo" "\0"
  /*  4394 */ "GPUError" "\0"
  /*  4403 */ "GPUInternalError" "\0"
  /*  4420 */ "GPUMapMode" "\0"
  /*  4431 */ "GPUOutOfMemoryError" "\0"
  /*  4451 */ "GPUPipelineLayout" "\0"
  /*  4469 */ "GPUQuerySet" "\0"
  /*  4481 */ "GPUQueue" "\0"
  /*  4490 */ "GPURenderBundle" "\0"
  /*  4506 */ "GPURenderBundleEncoder" "\0"
  /*  4529 */ "GPURenderPassEncoder" "\0"
  /*  4550 */ "GPURenderPipeline" "\0"
  /*  4568 */ "GPUSampler" "\0"
  /*  4579 */ "GPUShaderModule" "\0"
  /*  4595 */ "GPUShaderStage" "\0"
  /*  4610 */ "GPUSupportedFeatures" "\0"
  /*  4631 */ "GPUSupportedLimits" "\0"
  /*  4650 */ "GPUTexture" "\0"
  /*  4661 */ "GPUTextureUsage" "\0"
  /*  4677 */ "GPUTextureView" "\0"
  /*  4692 */ "GPUUncapturedErrorEvent" "\0"
  /*  4716 */ "GPUValidationError" "\0"
  /*  4735 */ "GainNode" "\0"
  /*  4744 */ "Gamepad" "\0"
  /*  4752 */ "GamepadAxisMoveEvent" "\0"
  /*  4773 */ "GamepadButton" "\0"
  /*  4787 */ "GamepadButtonEvent" "\0"
  /*  4806 */ "GamepadEvent" "\0"
  /*  4819 */ "GamepadHapticActuator" "\0"
  /*  4841 */ "GamepadLightIndicator" "\0"
  /*  4863 */ "GamepadPose" "\0"
  /*  4875 */ "GamepadServiceTest" "\0"
  /*  4894 */ "GamepadTouch" "\0"
  /*  4907 */ "Geolocation" "\0"
  /*  4919 */ "GeolocationCoordinates" "\0"
  /*  4942 */ "GeolocationPosition" "\0"
  /*  4962 */ "GeolocationPositionError" "\0"
  /*  4987 */ "GetUserMediaRequest" "\0"
  /*  5007 */ "GleanBoolean" "\0"
  /*  5020 */ "GleanCategory" "\0"
  /*  5034 */ "GleanCounter" "\0"
  /*  5047 */ "GleanCustomDistribution" "\0"
  /*  5071 */ "GleanDatetime" "\0"
  /*  5085 */ "GleanDenominator" "\0"
  /*  5102 */ "GleanEvent" "\0"
  /*  5113 */ "GleanImpl" "\0"
  /*  5123 */ "GleanLabeled" "\0"
  /*  5136 */ "GleanMemoryDistribution" "\0"
  /*  5160 */ "GleanMetric" "\0"
  /*  5172 */ "GleanNumerator" "\0"
  /*  5187 */ "GleanObject" "\0"
  /*  5199 */ "GleanPingsImpl" "\0"
  /*  5214 */ "GleanQuantity" "\0"
  /*  5228 */ "GleanRate" "\0"
  /*  5238 */ "GleanString" "\0"
  /*  5250 */ "GleanStringList" "\0"
  /*  5266 */ "GleanText" "\0"
  /*  5276 */ "GleanTimespan" "\0"
  /*  5290 */ "GleanTimingDistribution" "\0"
  /*  5314 */ "GleanUrl" "\0"
  /*  5323 */ "GleanUuid" "\0"
  /*  5333 */ "Grid" "\0"
  /*  5338 */ "GridArea" "\0"
  /*  5347 */ "GridDimension" "\0"
  /*  5361 */ "GridLine" "\0"
  /*  5370 */ "GridLines" "\0"
  /*  5380 */ "GridTrack" "\0"
  /*  5390 */ "GridTracks" "\0"
  /*  5401 */ "HTMLAllCollection" "\0"
  /*  5419 */ "HTMLAnchorElement" "\0"
  /*  5437 */ "HTMLAreaElement" "\0"
  /*  5453 */ "HTMLAudioElement" "\0"
  /*  5470 */ "HTMLBRElement" "\0"
  /*  5484 */ "HTMLBaseElement" "\0"
  /*  5500 */ "HTMLBodyElement" "\0"
  /*  5516 */ "HTMLButtonElement" "\0"
  /*  5534 */ "HTMLCanvasElement" "\0"
  /*  5552 */ "HTMLCollection" "\0"
  /*  5567 */ "HTMLDListElement" "\0"
  /*  5584 */ "HTMLDataElement" "\0"
  /*  5600 */ "HTMLDataListElement" "\0"
  /*  5620 */ "HTMLDetailsElement" "\0"
  /*  5639 */ "HTMLDialogElement" "\0"
  /*  5657 */ "HTMLDirectoryElement" "\0"
  /*  5678 */ "HTMLDivElement" "\0"
  /*  5693 */ "HTMLDocument" "\0"
  /*  5706 */ "HTMLElement" "\0"
  /*  5718 */ "HTMLEmbedElement" "\0"
  /*  5735 */ "HTMLFieldSetElement" "\0"
  /*  5755 */ "HTMLFontElement" "\0"
  /*  5771 */ "HTMLFormControlsCollection" "\0"
  /*  5798 */ "HTMLFormElement" "\0"
  /*  5814 */ "HTMLFrameElement" "\0"
  /*  5831 */ "HTMLFrameSetElement" "\0"
  /*  5851 */ "HTMLHRElement" "\0"
  /*  5865 */ "HTMLHeadElement" "\0"
  /*  5881 */ "HTMLHeadingElement" "\0"
  /*  5900 */ "HTMLHtmlElement" "\0"
  /*  5916 */ "HTMLIFrameElement" "\0"
  /*  5934 */ "HTMLImageElement" "\0"
  /*  5951 */ "HTMLInputElement" "\0"
  /*  5968 */ "HTMLLIElement" "\0"
  /*  5982 */ "HTMLLabelElement" "\0"
  /*  5999 */ "HTMLLegendElement" "\0"
  /*  6017 */ "HTMLLinkElement" "\0"
  /*  6033 */ "HTMLMapElement" "\0"
  /*  6048 */ "HTMLMarqueeElement" "\0"
  /*  6067 */ "HTMLMediaElement" "\0"
  /*  6084 */ "HTMLMenuElement" "\0"
  /*  6100 */ "HTMLMetaElement" "\0"
  /*  6116 */ "HTMLMeterElement" "\0"
  /*  6133 */ "HTMLModElement" "\0"
  /*  6148 */ "HTMLOListElement" "\0"
  /*  6165 */ "HTMLObjectElement" "\0"
  /*  6183 */ "HTMLOptGroupElement" "\0"
  /*  6203 */ "HTMLOptionElement" "\0"
  /*  6221 */ "HTMLOptionsCollection" "\0"
  /*  6243 */ "HTMLOutputElement" "\0"
  /*  6261 */ "HTMLParagraphElement" "\0"
  /*  6282 */ "HTMLParamElement" "\0"
  /*  6299 */ "HTMLPictureElement" "\0"
  /*  6318 */ "HTMLPreElement" "\0"
  /*  6333 */ "HTMLProgressElement" "\0"
  /*  6353 */ "HTMLQuoteElement" "\0"
  /*  6370 */ "HTMLScriptElement" "\0"
  /*  6388 */ "HTMLSelectElement" "\0"
  /*  6406 */ "HTMLSlotElement" "\0"
  /*  6422 */ "HTMLSourceElement" "\0"
  /*  6440 */ "HTMLSpanElement" "\0"
  /*  6456 */ "HTMLStyleElement" "\0"
  /*  6473 */ "HTMLTableCaptionElement" "\0"
  /*  6497 */ "HTMLTableCellElement" "\0"
  /*  6518 */ "HTMLTableColElement" "\0"
  /*  6538 */ "HTMLTableElement" "\0"
  /*  6555 */ "HTMLTableRowElement" "\0"
  /*  6575 */ "HTMLTableSectionElement" "\0"
  /*  6599 */ "HTMLTemplateElement" "\0"
  /*  6619 */ "HTMLTextAreaElement" "\0"
  /*  6639 */ "HTMLTimeElement" "\0"
  /*  6655 */ "HTMLTitleElement" "\0"
  /*  6672 */ "HTMLTrackElement" "\0"
  /*  6689 */ "HTMLUListElement" "\0"
  /*  6706 */ "HTMLUnknownElement" "\0"
  /*  6725 */ "HTMLVideoElement" "\0"
  /*  6742 */ "HashChangeEvent" "\0"
  /*  6758 */ "Headers" "\0"
  /*  6766 */ "Headers Iterator" "\0"
  /*  6783 */ "HeapSnapshot" "\0"
  /*  6796 */ "Highlight" "\0"
  /*  6806 */ "HighlightRegistry" "\0"
  /*  6824 */ "History" "\0"
  /*  6832 */ "IDBCursor" "\0"
  /*  6842 */ "IDBCursorWithValue" "\0"
  /*  6861 */ "IDBDatabase" "\0"
  /*  6873 */ "IDBFactory" "\0"
  /*  6884 */ "IDBIndex" "\0"
  /*  6893 */ "IDBKeyRange" "\0"
  /*  6905 */ "IDBObjectStore" "\0"
  /*  6920 */ "IDBOpenDBRequest" "\0"
  /*  6937 */ "IDBRequest" "\0"
  /*  6948 */ "IDBTransaction" "\0"
  /*  6963 */ "IDBVersionChangeEvent" "\0"
  /*  6985 */ "IIRFilterNode" "\0"
  /*  6999 */ "IOUtils" "\0"
  /*  7007 */ "IdentityCredential" "\0"
  /*  7026 */ "IdleDeadline" "\0"
  /*  7039 */ "Image" "\0"
  /*  7045 */ "ImageBitmap" "\0"
  /*  7057 */ "ImageBitmapRenderingContext" "\0"
  /*  7085 */ "ImageCapture" "\0"
  /*  7098 */ "ImageCaptureError" "\0"
  /*  7116 */ "ImageCaptureErrorEvent" "\0"
  /*  7139 */ "ImageData" "\0"
  /*  7149 */ "ImageDocument" "\0"
  /*  7163 */ "InputEvent" "\0"
  /*  7174 */ "InspectorFontFace" "\0"
  /*  7192 */ "InspectorUtils" "\0"
  /*  7207 */ "InstallTriggerImpl" "\0"
  /*  7226 */ "IntersectionObserver" "\0"
  /*  7247 */ "IntersectionObserverEntry" "\0"
  /*  7273 */ "IntlUtils" "\0"
  /*  7283 */ "InvokeEvent" "\0"
  /*  7295 */ "JSProcessActorChild" "\0"
  /*  7315 */ "JSProcessActorParent" "\0"
  /*  7336 */ "JSWindowActorChild" "\0"
  /*  7355 */ "JSWindowActorParent" "\0"
  /*  7375 */ "KeyEvent" "\0"
  /*  7384 */ "KeyboardEvent" "\0"
  /*  7398 */ "KeyframeEffect" "\0"
  /*  7413 */ "L10nFileSource" "\0"
  /*  7428 */ "L10nOverlays" "\0"
  /*  7441 */ "L10nRegistry" "\0"
  /*  7454 */ "LargestContentfulPaint" "\0"
  /*  7477 */ "LegacyMozTCPSocket" "\0"
  /*  7496 */ "Localization" "\0"
  /*  7509 */ "Location" "\0"
  /*  7518 */ "Lock" "\0"
  /*  7523 */ "LockManager" "\0"
  /*  7535 */ "MIDIAccess" "\0"
  /*  7546 */ "MIDIConnectionEvent" "\0"
  /*  7566 */ "MIDIInput" "\0"
  /*  7576 */ "MIDIInputMap" "\0"
  /*  7589 */ "MIDIMessageEvent" "\0"
  /*  7606 */ "MIDIOutput" "\0"
  /*  7617 */ "MIDIOutputMap" "\0"
  /*  7631 */ "MIDIPort" "\0"
  /*  7640 */ "MOZ_debug" "\0"
  /*  7650 */ "MatchGlob" "\0"
  /*  7660 */ "MatchPattern" "\0"
  /*  7673 */ "MatchPatternSet" "\0"
  /*  7689 */ "MathMLElement" "\0"
  /*  7703 */ "MediaCapabilities" "\0"
  /*  7721 */ "MediaCapabilitiesInfo" "\0"
  /*  7743 */ "MediaControlService" "\0"
  /*  7763 */ "MediaController" "\0"
  /*  7779 */ "MediaDeviceInfo" "\0"
  /*  7795 */ "MediaDevices" "\0"
  /*  7808 */ "MediaElementAudioSourceNode" "\0"
  /*  7836 */ "MediaEncryptedEvent" "\0"
  /*  7856 */ "MediaError" "\0"
  /*  7867 */ "MediaKeyError" "\0"
  /*  7881 */ "MediaKeyMessageEvent" "\0"
  /*  7902 */ "MediaKeySession" "\0"
  /*  7918 */ "MediaKeyStatusMap" "\0"
  /*  7936 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7963 */ "MediaKeySystemAccess" "\0"
  /*  7984 */ "MediaKeys" "\0"
  /*  7994 */ "MediaList" "\0"
  /*  8004 */ "MediaMetadata" "\0"
  /*  8018 */ "MediaQueryList" "\0"
  /*  8033 */ "MediaQueryListEvent" "\0"
  /*  8053 */ "MediaRecorder" "\0"
  /*  8067 */ "MediaRecorderErrorEvent" "\0"
  /*  8091 */ "MediaSession" "\0"
  /*  8104 */ "MediaSource" "\0"
  /*  8116 */ "MediaStream" "\0"
  /*  8128 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8160 */ "MediaStreamAudioSourceNode" "\0"
  /*  8187 */ "MediaStreamError" "\0"
  /*  8204 */ "MediaStreamEvent" "\0"
  /*  8221 */ "MediaStreamTrack" "\0"
  /*  8238 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8270 */ "MediaStreamTrackEvent" "\0"
  /*  8292 */ "MerchantValidationEvent" "\0"
  /*  8316 */ "MessageBroadcaster" "\0"
  /*  8335 */ "MessageChannel" "\0"
  /*  8350 */ "MessageEvent" "\0"
  /*  8363 */ "MessageListenerManager" "\0"
  /*  8386 */ "MessagePort" "\0"
  /*  8398 */ "MessageSender" "\0"
  /*  8412 */ "MimeType" "\0"
  /*  8421 */ "MimeTypeArray" "\0"
  /*  8435 */ "MouseEvent" "\0"
  /*  8446 */ "MouseScrollEvent" "\0"
  /*  8463 */ "MozCanvasPrintState" "\0"
  /*  8483 */ "MozDocumentMatcher" "\0"
  /*  8502 */ "MozDocumentObserver" "\0"
  /*  8522 */ "MozQueryInterface" "\0"
  /*  8540 */ "MozSharedMap" "\0"
  /*  8553 */ "MozSharedMap Iterator" "\0"
  /*  8575 */ "MozSharedMapChangeEvent" "\0"
  /*  8599 */ "MozStorageAsyncStatementParams" "\0"
  /*  8630 */ "MozStorageStatementParams" "\0"
  /*  8656 */ "MozStorageStatementRow" "\0"
  /*  8679 */ "MozWritableSharedMap" "\0"
  /*  8700 */ "MutationEvent" "\0"
  /*  8714 */ "MutationObserver" "\0"
  /*  8731 */ "MutationRecord" "\0"
  /*  8746 */ "NamedNodeMap" "\0"
  /*  8759 */ "NavigationPreloadManager" "\0"
  /*  8784 */ "Navigator" "\0"
  /*  8794 */ "NetworkInformation" "\0"
  /*  8813 */ "Node" "\0"
  /*  8818 */ "NodeFilter" "\0"
  /*  8829 */ "NodeIterator" "\0"
  /*  8842 */ "NodeList" "\0"
  /*  8851 */ "Notification" "\0"
  /*  8864 */ "NotificationEvent" "\0"
  /*  8882 */ "NotifyPaintEvent" "\0"
  /*  8899 */ "OES_draw_buffers_indexed" "\0"
  /*  8924 */ "OES_element_index_uint" "\0"
  /*  8947 */ "OES_fbo_render_mipmap" "\0"
  /*  8969 */ "OES_standard_derivatives" "\0"
  /*  8994 */ "OES_texture_float" "\0"
  /*  9012 */ "OES_texture_float_linear" "\0"
  /*  9037 */ "OES_texture_half_float" "\0"
  /*  9060 */ "OES_texture_half_float_linear" "\0"
  /*  9090 */ "OES_vertex_array_object" "\0"
  /*  9114 */ "OVR_multiview2" "\0"
  /*  9129 */ "OfflineAudioCompletionEvent" "\0"
  /*  9157 */ "OfflineAudioContext" "\0"
  /*  9177 */ "OffscreenCanvas" "\0"
  /*  9193 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9227 */ "Option" "\0"
  /*  9234 */ "OscillatorNode" "\0"
  /*  9249 */ "PageTransitionEvent" "\0"
  /*  9269 */ "PaintRequest" "\0"
  /*  9282 */ "PaintRequestList" "\0"
  /*  9299 */ "PaintWorkletGlobalScope" "\0"
  /*  9323 */ "PannerNode" "\0"
  /*  9334 */ "ParentProcessMessageManager" "\0"
  /*  9362 */ "Path2D" "\0"
  /*  9369 */ "PathUtils" "\0"
  /*  9379 */ "PaymentAddress" "\0"
  /*  9394 */ "PaymentMethodChangeEvent" "\0"
  /*  9419 */ "PaymentRequest" "\0"
  /*  9434 */ "PaymentRequestUpdateEvent" "\0"
  /*  9460 */ "PaymentResponse" "\0"
  /*  9476 */ "Performance" "\0"
  /*  9488 */ "PerformanceEntry" "\0"
  /*  9505 */ "PerformanceEntryEvent" "\0"
  /*  9527 */ "PerformanceEventTiming" "\0"
  /*  9550 */ "PerformanceMark" "\0"
  /*  9566 */ "PerformanceMeasure" "\0"
  /*  9585 */ "PerformanceNavigation" "\0"
  /*  9607 */ "PerformanceNavigationTiming" "\0"
  /*  9635 */ "PerformanceObserver" "\0"
  /*  9655 */ "PerformanceObserverEntryList" "\0"
  /*  9684 */ "PerformancePaintTiming" "\0"
  /*  9707 */ "PerformanceResourceTiming" "\0"
  /*  9733 */ "PerformanceServerTiming" "\0"
  /*  9757 */ "PerformanceTiming" "\0"
  /*  9775 */ "PeriodicWave" "\0"
  /*  9788 */ "PermissionStatus" "\0"
  /*  9805 */ "Permissions" "\0"
  /*  9817 */ "PlacesBookmark" "\0"
  /*  9832 */ "PlacesBookmarkAddition" "\0"
  /*  9855 */ "PlacesBookmarkChanged" "\0"
  /*  9877 */ "PlacesBookmarkGuid" "\0"
  /*  9896 */ "PlacesBookmarkKeyword" "\0"
  /*  9918 */ "PlacesBookmarkMoved" "\0"
  /*  9938 */ "PlacesBookmarkRemoved" "\0"
  /*  9960 */ "PlacesBookmarkTags" "\0"
  /*  9979 */ "PlacesBookmarkTime" "\0"
  /*  9998 */ "PlacesBookmarkTitle" "\0"
  /* 10018 */ "PlacesBookmarkUrl" "\0"
  /* 10036 */ "PlacesEvent" "\0"
  /* 10048 */ "PlacesFavicon" "\0"
  /* 10062 */ "PlacesHistoryCleared" "\0"
  /* 10083 */ "PlacesObservers" "\0"
  /* 10099 */ "PlacesPurgeCaches" "\0"
  /* 10117 */ "PlacesRanking" "\0"
  /* 10131 */ "PlacesVisit" "\0"
  /* 10143 */ "PlacesVisitRemoved" "\0"
  /* 10162 */ "PlacesVisitTitle" "\0"
  /* 10179 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10205 */ "Plugin" "\0"
  /* 10212 */ "PluginArray" "\0"
  /* 10224 */ "PluginCrashedEvent" "\0"
  /* 10243 */ "PointerEvent" "\0"
  /* 10256 */ "PopStateEvent" "\0"
  /* 10270 */ "PopupBlockedEvent" "\0"
  /* 10288 */ "PopupPositionedEvent" "\0"
  /* 10309 */ "PositionStateEvent" "\0"
  /* 10328 */ "PrecompiledScript" "\0"
  /* 10346 */ "ProcessMessageManager" "\0"
  /* 10368 */ "ProcessingInstruction" "\0"
  /* 10390 */ "ProgressEvent" "\0"
  /* 10404 */ "PromiseDebugging" "\0"
  /* 10421 */ "PromiseNativeHandler" "\0"
  /* 10442 */ "PromiseRejectionEvent" "\0"
  /* 10464 */ "PublicKeyCredential" "\0"
  /* 10484 */ "PushEvent" "\0"
  /* 10494 */ "PushManager" "\0"
  /* 10506 */ "PushManagerImpl" "\0"
  /* 10522 */ "PushMessageData" "\0"
  /* 10538 */ "PushSubscription" "\0"
  /* 10555 */ "PushSubscriptionOptions" "\0"
  /* 10579 */ "RadioNodeList" "\0"
  /* 10593 */ "Range" "\0"
  /* 10599 */ "ReadableByteStreamController" "\0"
  /* 10628 */ "ReadableStream" "\0"
  /* 10643 */ "ReadableStream AsyncIterator" "\0"
  /* 10672 */ "ReadableStreamBYOBReader" "\0"
  /* 10697 */ "ReadableStreamBYOBRequest" "\0"
  /* 10723 */ "ReadableStreamDefaultController" "\0"
  /* 10755 */ "ReadableStreamDefaultReader" "\0"
  /* 10783 */ "Report" "\0"
  /* 10790 */ "ReportBody" "\0"
  /* 10801 */ "ReportingObserver" "\0"
  /* 10819 */ "Request" "\0"
  /* 10827 */ "ResizeObserver" "\0"
  /* 10842 */ "ResizeObserverEntry" "\0"
  /* 10862 */ "ResizeObserverSize" "\0"
  /* 10881 */ "Response" "\0"
  /* 10890 */ "SVGAElement" "\0"
  /* 10902 */ "SVGAngle" "\0"
  /* 10911 */ "SVGAnimateElement" "\0"
  /* 10929 */ "SVGAnimateMotionElement" "\0"
  /* 10953 */ "SVGAnimateTransformElement" "\0"
  /* 10980 */ "SVGAnimatedAngle" "\0"
  /* 10997 */ "SVGAnimatedBoolean" "\0"
  /* 11016 */ "SVGAnimatedEnumeration" "\0"
  /* 11039 */ "SVGAnimatedInteger" "\0"
  /* 11058 */ "SVGAnimatedLength" "\0"
  /* 11076 */ "SVGAnimatedLengthList" "\0"
  /* 11098 */ "SVGAnimatedNumber" "\0"
  /* 11116 */ "SVGAnimatedNumberList" "\0"
  /* 11138 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11169 */ "SVGAnimatedRect" "\0"
  /* 11185 */ "SVGAnimatedString" "\0"
  /* 11203 */ "SVGAnimatedTransformList" "\0"
  /* 11228 */ "SVGAnimationElement" "\0"
  /* 11248 */ "SVGCircleElement" "\0"
  /* 11265 */ "SVGClipPathElement" "\0"
  /* 11284 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11320 */ "SVGDefsElement" "\0"
  /* 11335 */ "SVGDescElement" "\0"
  /* 11350 */ "SVGElement" "\0"
  /* 11361 */ "SVGEllipseElement" "\0"
  /* 11379 */ "SVGFEBlendElement" "\0"
  /* 11397 */ "SVGFEColorMatrixElement" "\0"
  /* 11421 */ "SVGFEComponentTransferElement" "\0"
  /* 11451 */ "SVGFECompositeElement" "\0"
  /* 11473 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11500 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11528 */ "SVGFEDisplacementMapElement" "\0"
  /* 11556 */ "SVGFEDistantLightElement" "\0"
  /* 11581 */ "SVGFEDropShadowElement" "\0"
  /* 11604 */ "SVGFEFloodElement" "\0"
  /* 11622 */ "SVGFEFuncAElement" "\0"
  /* 11640 */ "SVGFEFuncBElement" "\0"
  /* 11658 */ "SVGFEFuncGElement" "\0"
  /* 11676 */ "SVGFEFuncRElement" "\0"
  /* 11694 */ "SVGFEGaussianBlurElement" "\0"
  /* 11719 */ "SVGFEImageElement" "\0"
  /* 11737 */ "SVGFEMergeElement" "\0"
  /* 11755 */ "SVGFEMergeNodeElement" "\0"
  /* 11777 */ "SVGFEMorphologyElement" "\0"
  /* 11800 */ "SVGFEOffsetElement" "\0"
  /* 11819 */ "SVGFEPointLightElement" "\0"
  /* 11842 */ "SVGFESpecularLightingElement" "\0"
  /* 11871 */ "SVGFESpotLightElement" "\0"
  /* 11893 */ "SVGFETileElement" "\0"
  /* 11910 */ "SVGFETurbulenceElement" "\0"
  /* 11933 */ "SVGFilterElement" "\0"
  /* 11950 */ "SVGForeignObjectElement" "\0"
  /* 11974 */ "SVGGElement" "\0"
  /* 11986 */ "SVGGeometryElement" "\0"
  /* 12005 */ "SVGGradientElement" "\0"
  /* 12024 */ "SVGGraphicsElement" "\0"
  /* 12043 */ "SVGImageElement" "\0"
  /* 12059 */ "SVGLength" "\0"
  /* 12069 */ "SVGLengthList" "\0"
  /* 12083 */ "SVGLineElement" "\0"
  /* 12098 */ "SVGLinearGradientElement" "\0"
  /* 12123 */ "SVGMPathElement" "\0"
  /* 12139 */ "SVGMarkerElement" "\0"
  /* 12156 */ "SVGMaskElement" "\0"
  /* 12171 */ "SVGMatrix" "\0"
  /* 12181 */ "SVGMetadataElement" "\0"
  /* 12200 */ "SVGNumber" "\0"
  /* 12210 */ "SVGNumberList" "\0"
  /* 12224 */ "SVGPathElement" "\0"
  /* 12239 */ "SVGPathSeg" "\0"
  /* 12250 */ "SVGPathSegArcAbs" "\0"
  /* 12267 */ "SVGPathSegArcRel" "\0"
  /* 12284 */ "SVGPathSegClosePath" "\0"
  /* 12304 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12330 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12356 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12388 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12420 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12450 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12480 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12516 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12552 */ "SVGPathSegLinetoAbs" "\0"
  /* 12572 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12602 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12632 */ "SVGPathSegLinetoRel" "\0"
  /* 12652 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12680 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12708 */ "SVGPathSegList" "\0"
  /* 12723 */ "SVGPathSegMovetoAbs" "\0"
  /* 12743 */ "SVGPathSegMovetoRel" "\0"
  /* 12763 */ "SVGPatternElement" "\0"
  /* 12781 */ "SVGPoint" "\0"
  /* 12790 */ "SVGPointList" "\0"
  /* 12803 */ "SVGPolygonElement" "\0"
  /* 12821 */ "SVGPolylineElement" "\0"
  /* 12840 */ "SVGPreserveAspectRatio" "\0"
  /* 12863 */ "SVGRadialGradientElement" "\0"
  /* 12888 */ "SVGRect" "\0"
  /* 12896 */ "SVGRectElement" "\0"
  /* 12911 */ "SVGSVGElement" "\0"
  /* 12925 */ "SVGScriptElement" "\0"
  /* 12942 */ "SVGSetElement" "\0"
  /* 12956 */ "SVGStopElement" "\0"
  /* 12971 */ "SVGStringList" "\0"
  /* 12985 */ "SVGStyleElement" "\0"
  /* 13001 */ "SVGSwitchElement" "\0"
  /* 13018 */ "SVGSymbolElement" "\0"
  /* 13035 */ "SVGTSpanElement" "\0"
  /* 13051 */ "SVGTextContentElement" "\0"
  /* 13073 */ "SVGTextElement" "\0"
  /* 13088 */ "SVGTextPathElement" "\0"
  /* 13107 */ "SVGTextPositioningElement" "\0"
  /* 13133 */ "SVGTitleElement" "\0"
  /* 13149 */ "SVGTransform" "\0"
  /* 13162 */ "SVGTransformList" "\0"
  /* 13179 */ "SVGUnitTypes" "\0"
  /* 13192 */ "SVGUseElement" "\0"
  /* 13206 */ "SVGViewElement" "\0"
  /* 13221 */ "Sanitizer" "\0"
  /* 13231 */ "Scheduler" "\0"
  /* 13241 */ "Screen" "\0"
  /* 13248 */ "ScreenLuminance" "\0"
  /* 13264 */ "ScreenOrientation" "\0"
  /* 13282 */ "ScriptProcessorNode" "\0"
  /* 13302 */ "ScrollAreaEvent" "\0"
  /* 13318 */ "ScrollViewChangeEvent" "\0"
  /* 13340 */ "SecurityPolicyViolationEvent" "\0"
  /* 13369 */ "Selection" "\0"
  /* 13379 */ "ServiceWorker" "\0"
  /* 13393 */ "ServiceWorkerContainer" "\0"
  /* 13416 */ "ServiceWorkerGlobalScope" "\0"
  /* 13441 */ "ServiceWorkerRegistration" "\0"
  /* 13467 */ "SessionStoreFormData" "\0"
  /* 13488 */ "SessionStoreScrollData" "\0"
  /* 13511 */ "SessionStoreUtils" "\0"
  /* 13529 */ "ShadowRealmGlobalScope" "\0"
  /* 13552 */ "ShadowRoot" "\0"
  /* 13563 */ "SharedWorker" "\0"
  /* 13576 */ "SharedWorkerGlobalScope" "\0"
  /* 13600 */ "SimpleGestureEvent" "\0"
  /* 13619 */ "SourceBuffer" "\0"
  /* 13632 */ "SourceBufferList" "\0"
  /* 13649 */ "SpeechGrammar" "\0"
  /* 13663 */ "SpeechGrammarList" "\0"
  /* 13681 */ "SpeechRecognition" "\0"
  /* 13699 */ "SpeechRecognitionAlternative" "\0"
  /* 13728 */ "SpeechRecognitionError" "\0"
  /* 13751 */ "SpeechRecognitionEvent" "\0"
  /* 13774 */ "SpeechRecognitionResult" "\0"
  /* 13798 */ "SpeechRecognitionResultList" "\0"
  /* 13826 */ "SpeechSynthesis" "\0"
  /* 13842 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13868 */ "SpeechSynthesisEvent" "\0"
  /* 13889 */ "SpeechSynthesisUtterance" "\0"
  /* 13914 */ "SpeechSynthesisVoice" "\0"
  /* 13935 */ "StaticRange" "\0"
  /* 13947 */ "StereoPannerNode" "\0"
  /* 13964 */ "Storage" "\0"
  /* 13972 */ "StorageEvent" "\0"
  /* 13985 */ "StorageManager" "\0"
  /* 14000 */ "StreamFilter" "\0"
  /* 14013 */ "StreamFilterDataEvent" "\0"
  /* 14035 */ "StructuredCloneHolder" "\0"
  /* 14057 */ "StructuredCloneTester" "\0"
  /* 14079 */ "StyleSheet" "\0"
  /* 14090 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14127 */ "StyleSheetList" "\0"
  /* 14142 */ "StyleSheetRemovedEvent" "\0"
  /* 14165 */ "SubmitEvent" "\0"
  /* 14177 */ "SubtleCrypto" "\0"
  /* 14190 */ "SyncMessageSender" "\0"
  /* 14208 */ "SyncReadFile" "\0"
  /* 14221 */ "TCPServerSocket" "\0"
  /* 14237 */ "TCPServerSocketEvent" "\0"
  /* 14258 */ "TCPSocket" "\0"
  /* 14268 */ "TCPSocketErrorEvent" "\0"
  /* 14288 */ "TCPSocketEvent" "\0"
  /* 14303 */ "TaskController" "\0"
  /* 14318 */ "TaskPriorityChangeEvent" "\0"
  /* 14342 */ "TaskSignal" "\0"
  /* 14353 */ "TelemetryStopwatch" "\0"
  /* 14372 */ "TestUtils" "\0"
  /* 14382 */ "TestingDeprecatedInterface" "\0"
  /* 14409 */ "Text" "\0"
  /* 14414 */ "TextClause" "\0"
  /* 14425 */ "TextDecoder" "\0"
  /* 14437 */ "TextDecoderStream" "\0"
  /* 14455 */ "TextEncoder" "\0"
  /* 14467 */ "TextEncoderStream" "\0"
  /* 14485 */ "TextMetrics" "\0"
  /* 14497 */ "TextTrack" "\0"
  /* 14507 */ "TextTrackCue" "\0"
  /* 14520 */ "TextTrackCueList" "\0"
  /* 14537 */ "TextTrackList" "\0"
  /* 14551 */ "TimeEvent" "\0"
  /* 14561 */ "TimeRanges" "\0"
  /* 14572 */ "ToggleEvent" "\0"
  /* 14584 */ "Touch" "\0"
  /* 14590 */ "TouchEvent" "\0"
  /* 14601 */ "TouchList" "\0"
  /* 14611 */ "TrackEvent" "\0"
  /* 14622 */ "TransformStream" "\0"
  /* 14638 */ "TransformStreamDefaultController" "\0"
  /* 14671 */ "TransitionEvent" "\0"
  /* 14687 */ "TreeColumn" "\0"
  /* 14698 */ "TreeColumns" "\0"
  /* 14710 */ "TreeContentView" "\0"
  /* 14726 */ "TreeWalker" "\0"
  /* 14737 */ "TrustedHTML" "\0"
  /* 14749 */ "TrustedScript" "\0"
  /* 14763 */ "TrustedScriptURL" "\0"
  /* 14780 */ "TrustedTypePolicy" "\0"
  /* 14798 */ "TrustedTypePolicyFactory" "\0"
  /* 14823 */ "UDPMessageEvent" "\0"
  /* 14839 */ "UDPSocket" "\0"
  /* 14849 */ "UIEvent" "\0"
  /* 14857 */ "URL" "\0"
  /* 14861 */ "URLSearchParams" "\0"
  /* 14877 */ "URLSearchParams Iterator" "\0"
  /* 14902 */ "UniFFIPointer" "\0"
  /* 14916 */ "UniFFIScaffolding" "\0"
  /* 14934 */ "UserActivation" "\0"
  /* 14949 */ "UserInteraction" "\0"
  /* 14965 */ "UserProximityEvent" "\0"
  /* 14984 */ "VRDisplay" "\0"
  /* 14994 */ "VRDisplayCapabilities" "\0"
  /* 15016 */ "VRDisplayEvent" "\0"
  /* 15031 */ "VREyeParameters" "\0"
  /* 15047 */ "VRFieldOfView" "\0"
  /* 15061 */ "VRFrameData" "\0"
  /* 15073 */ "VRMockController" "\0"
  /* 15090 */ "VRMockDisplay" "\0"
  /* 15104 */ "VRPose" "\0"
  /* 15111 */ "VRServiceTest" "\0"
  /* 15125 */ "VRStageParameters" "\0"
  /* 15143 */ "VTTCue" "\0"
  /* 15150 */ "VTTRegion" "\0"
  /* 15160 */ "ValidityState" "\0"
  /* 15174 */ "VideoColorSpace" "\0"
  /* 15190 */ "VideoDecoder" "\0"
  /* 15203 */ "VideoEncoder" "\0"
  /* 15216 */ "VideoFrame" "\0"
  /* 15227 */ "VideoPlaybackQuality" "\0"
  /* 15248 */ "VideoTrack" "\0"
  /* 15259 */ "VideoTrackList" "\0"
  /* 15274 */ "VisualViewport" "\0"
  /* 15289 */ "WEBGL_color_buffer_float" "\0"
  /* 15314 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15344 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15373 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15403 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15434 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15464 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15499 */ "WEBGL_debug_renderer_info" "\0"
  /* 15525 */ "WEBGL_debug_shaders" "\0"
  /* 15545 */ "WEBGL_depth_texture" "\0"
  /* 15565 */ "WEBGL_draw_buffers" "\0"
  /* 15584 */ "WEBGL_explicit_present" "\0"
  /* 15607 */ "WEBGL_lose_context" "\0"
  /* 15626 */ "WEBGL_provoking_vertex" "\0"
  /* 15649 */ "WakeLock" "\0"
  /* 15658 */ "WakeLockSentinel" "\0"
  /* 15675 */ "WaveShaperNode" "\0"
  /* 15690 */ "WebExtensionContentScript" "\0"
  /* 15716 */ "WebExtensionPolicy" "\0"
  /* 15735 */ "WebGL2RenderingContext" "\0"
  /* 15758 */ "WebGLActiveInfo" "\0"
  /* 15774 */ "WebGLBuffer" "\0"
  /* 15786 */ "WebGLContextEvent" "\0"
  /* 15804 */ "WebGLFramebuffer" "\0"
  /* 15821 */ "WebGLProgram" "\0"
  /* 15834 */ "WebGLQuery" "\0"
  /* 15845 */ "WebGLRenderbuffer" "\0"
  /* 15863 */ "WebGLRenderingContext" "\0"
  /* 15885 */ "WebGLSampler" "\0"
  /* 15898 */ "WebGLShader" "\0"
  /* 15910 */ "WebGLShaderPrecisionFormat" "\0"
  /* 15937 */ "WebGLSync" "\0"
  /* 15947 */ "WebGLTexture" "\0"
  /* 15960 */ "WebGLTransformFeedback" "\0"
  /* 15983 */ "WebGLUniformLocation" "\0"
  /* 16004 */ "WebGLVertexArrayObject" "\0"
  /* 16027 */ "WebKitCSSMatrix" "\0"
  /* 16043 */ "WebSocket" "\0"
  /* 16053 */ "WebTransport" "\0"
  /* 16066 */ "WebTransportBidirectionalStream" "\0"
  /* 16098 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16131 */ "WebTransportError" "\0"
  /* 16149 */ "WebTransportReceiveStream" "\0"
  /* 16175 */ "WebTransportSendStream" "\0"
  /* 16198 */ "WheelEvent" "\0"
  /* 16209 */ "Window" "\0"
  /* 16216 */ "WindowClient" "\0"
  /* 16229 */ "WindowContext" "\0"
  /* 16243 */ "WindowGlobalChild" "\0"
  /* 16261 */ "WindowGlobalParent" "\0"
  /* 16280 */ "WindowRoot" "\0"
  /* 16291 */ "Worker" "\0"
  /* 16298 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16324 */ "WorkerGlobalScope" "\0"
  /* 16342 */ "WorkerLocation" "\0"
  /* 16357 */ "WorkerNavigator" "\0"
  /* 16373 */ "WorkerTestUtils" "\0"
  /* 16389 */ "Worklet" "\0"
  /* 16397 */ "WorkletGlobalScope" "\0"
  /* 16416 */ "WritableStream" "\0"
  /* 16431 */ "WritableStreamDefaultController" "\0"
  /* 16463 */ "WritableStreamDefaultWriter" "\0"
  /* 16491 */ "XMLDocument" "\0"
  /* 16503 */ "XMLHttpRequest" "\0"
  /* 16518 */ "XMLHttpRequestEventTarget" "\0"
  /* 16544 */ "XMLHttpRequestUpload" "\0"
  /* 16565 */ "XMLSerializer" "\0"
  /* 16579 */ "XPathEvaluator" "\0"
  /* 16594 */ "XPathExpression" "\0"
  /* 16610 */ "XPathResult" "\0"
  /* 16622 */ "XRBoundedReferenceSpace" "\0"
  /* 16646 */ "XRFrame" "\0"
  /* 16654 */ "XRInputSource" "\0"
  /* 16668 */ "XRInputSourceArray" "\0"
  /* 16687 */ "XRInputSourceEvent" "\0"
  /* 16706 */ "XRInputSourcesChangeEvent" "\0"
  /* 16732 */ "XRPose" "\0"
  /* 16739 */ "XRReferenceSpace" "\0"
  /* 16756 */ "XRReferenceSpaceEvent" "\0"
  /* 16778 */ "XRRenderState" "\0"
  /* 16792 */ "XRRigidTransform" "\0"
  /* 16809 */ "XRSession" "\0"
  /* 16819 */ "XRSessionEvent" "\0"
  /* 16834 */ "XRSpace" "\0"
  /* 16842 */ "XRSystem" "\0"
  /* 16851 */ "XRView" "\0"
  /* 16858 */ "XRViewerPose" "\0"
  /* 16871 */ "XRViewport" "\0"
  /* 16882 */ "XRWebGLLayer" "\0"
  /* 16895 */ "XSLTProcessor" "\0"
  /* 16909 */ "XULCommandEvent" "\0"
  /* 16925 */ "XULElement" "\0"
  /* 16936 */ "XULFrameElement" "\0"
  /* 16952 */ "XULMenuElement" "\0"
  /* 16967 */ "XULPopupElement" "\0"
  /* 16983 */ "XULResizerElement" "\0"
  /* 17001 */ "XULTextElement" "\0"
  /* 17016 */ "XULTreeElement" "\0"
  /* 17031 */ "console" "\0"
  /* 17039 */ "webkitSpeechGrammar" "\0"
  /* 17059 */ "webkitSpeechGrammarList" "\0"
  /* 17083 */ "webkitSpeechRecognition" "\0"
  /* 17107 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

